XmCreateScrolledList(3Xm)

NAME
XmCreateScrolledList — the List ScrolledList convenience creation function.

SYNOPSIS
#include <Xm/List.h>

Widget XmCreateScrolledList (parent, name, arglist, argcount))
    Widget    parent;
    String    name;
    ArgList    arglist;
    Cardinal    argcount;

DESCRIPTION
XmCreateScrolledList creates an instance of a List widget that is contained within a ScrolledWindow. All ScrolledWindow subarea widgets are automatically created by this function. The ID returned by this function is that of the List widget. Use this ID for all normal List operations, as well as those that are relevant for the ScrolledList widget.

Other aspects of the appearance and behavior of the ScrolledList should be controlled by using the ScrolledWindow widget resources. For instance, if an application writer wishes to specify the x,y location of a ScrolledList within a larger manager, set the XmNx and XmNy resources of the ScrolledWindow rather than of the List widget.

To obtain the ID of the ScrolledWindow widget associated with the ScrolledList, use the Xt Intrinsics XtParent function. The name of the ScrolledWindow created by this function is formed by concatenating the letters SW onto the end of the name specified in the parameter list.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist).

For a complete definition of List and its associated resources, see XmList(3Xm).

RETURN VALUE
Returns the List widget ID.

RELATED INFORMATION
XmList(3Xm) and XmScrolledWindow(3Xm).